<?php
require_once 'ControlDB.php';
class ControlUsuario {
	
	public function validarLogin($login,$senha) {
		$usuario = new Usuario();
		$usuario->setLogin($login);
		$usuario->setSenha($senha);
		$usuario->find(True);
		if ($usuario->count() == 0)
		{
			return null;
		} else {
			return $usuario->getNome();
		}
	}
	
	public function pegarTodosUsuarios() {
		$usuarios = new Usuario();
		$usuarios->find();
		return $usuarios;
	}
	
	public function pegarUmUsuario($pk) {
		$usuario = new Usuario();
		$usuario->get($pk);
		return $usuario;
	}
	
	public function salvarUsuario(Usuario $usuario) {
		$usuario->save();
		return 1;
	}
	
	public function excluirUsuario(Usuario $usuario) {
		if ($usuario->getUsuarioid() == 1)
		{
			return 0;
		} else {
			$usuario->delete();
			return 1;
		}
	}
}


?>